
Figure - Bug #117854
【BSP】【VX1】【Display】烧写0506 db后设备开机， 先出现一小段开机动画，然后就黑屏，投屏显示正常，
热插拔一下屏幕连接线 恢复正常
2023-05-10 14:41 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-05-10

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0506 db

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: VX1屏端有心跳检测机制，需要定时往屏端写寄存器

Description

前置条件

VX板子

操作步骤：

1.Qile烧写 0506 的db

2.设备开机，查看现象

3.重新插拔显示线

预期结果：

1.fota升级流程正常结束，设备自动重启

实际结果：

2.设备正常显示，TP正常

3.设备正常显示、TP正常

如何恢复

2.设备出现黑屏

3.设备正常显示、TP正常

History

#1 - 2023-05-11 10:01 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

- Root cause set to VX1屏端有心跳检测机制，需要定时往屏端写寄存器

#2 - 2023-05-11 19:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198996 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com
BSP:Display: Fix VX1 black screen caused by heartbeatVX1 lcd need per 2s to wirte register to keep lcd alive,if exceeds about 17 seconds, the LCD will go

blank.TC-RID: 1201-0100501IssueID: TS-R-DF-117854Change-Id: I2cec5f84bc760b4fc67143ed4cb221e6b27facbf

#3 - 2023-05-11 19:41 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

#4 - 2023-05-16 14:48 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

0100和FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305150054 未复现黑屏不亮屏的情况，因此关闭次issue，有其他黑屏由其他bug跟踪

https://share.thundersoft.com/redmine/issues/117953

https://share.thundersoft.com/redmine/issues/117954

https://share.thundersoft.com/redmine/issues/117955

https://share.thundersoft.com/redmine/issues/117956

#5 - 2023-05-16 14:48 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
